Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 863 - sort does not use LC_COLLATE settings
Summary: sort does not use LC_COLLATE settings
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: textutils
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-18 12:14 UTC by michael
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-13 16:20:28 UTC


Attachments (Terms of Use)

Description michael 1999-01-18 12:14:37 UTC
'Sort' program (from textutils-1.22-7) still does not use
settings LC_* variables for right (localised) sorting.

Solution is use sort from textutils-1.22d which behave
correct.

Comment 1 Preston Brown 1999-03-22 19:58:59 UTC
Michael, do you know of such a release?  I can't find it on
ftp.gnu.org.

Comment 2 Preston Brown 1999-03-22 20:15:59 UTC
The latest dev release, 1.22f, does NOT have LC_COLLATE / strcoll code
included.  I just checked.  So they may have taken it out since 1.22d,
but the latest stuff does not have it.

This will have to wait for a future release.

Comment 3 michael 1999-03-23 12:02:59 UTC
I try textutils-1.22h
(ftp://ftp.funet.fi/pub/gnu/alpha/gnu/fetish/textutils-1.22h.tar.gz)
just now. It has locale code included (as well as 1.22f version! :-)
and (both) work right.

$ grep LC sort.c
  char *s = setlocale (LC_ALL, locale);
  s = setlocale (LC_ALL, "");
    char *current_locale_string = setlocale (LC_ALL, "");
$ grep strcol sort.c
  return strcoll (((const struct month *) m1)->name,
      diff = strcoll (s1, s2);
      diff = strcoll (s1, s2);
          diff = strcoll (copy_a, copy_b);
          diff = strcoll (ap, bp);

Comment 4 Michael K. Johnson 1999-03-23 15:58:59 UTC
ftp://alpha.gnu.org/gnu/textutils* shows only
textutils-1.22f.tar.gz -> fetish/textutils-1.22f.tar.gz
It is true that in fetish there are later instances of textutils,
but if the textutils maintainer thinks that even 1.22f is an
alpha release and tries to hide later releases, I really do not
feel comfortable overriding that decision.  I have no reason to
assume that he does not have valid reasons for not making that a
more public release.

Comment 5 Jay Turner 1999-06-29 17:31:59 UTC
Michael, what is the status of this??  Are you comfortable calling the
6.0 textutils the real deal and closing this?

Comment 6 Michael K. Johnson 1999-07-13 16:20:59 UTC
This will be resolved when we upgrade to a new version of
textutils when it is released by the textutils author.

------- Additional Comments From   08/12/99 06:06 -------
Textutils 2.0 have benn released (1999-08-06). Hope this is final
solution of 'sort & LC_COLLATE' problem.

Thanks


Note You need to log in before you can comment on or make changes to this bug.